import request from '@/utils/request'

// 查询收藏列表
export function listCollectList(query) {
  return request({
    url: '/school-paper/collectList/list',
    method: 'get',
    params: query
  })
}

// 查询收藏详细
export function getCollectList(id) {
  return request({
    url: '/school-paper/collectList/' + id,
    method: 'get'
  })
}

// 新增收藏
export function addCollectList(data) {
  return request({
    url: '/school-paper/collectList',
    method: 'post',
    data: data
  })
}

// 修改收藏
export function updateCollectList(data) {
  return request({
    url: '/school-paper/collectList',
    method: 'put',
    data: data
  })
}

// 删除收藏
export function delCollectList(id) {
  return request({
    url: '/school-paper/collectList/' + id,
    method: 'delete'
  })
}
